import 'package:be_happy/core/result.dart';
import 'package:be_happy/domain/entities/scooter_order.dart';
import 'package:be_happy/domain/repositories/scooter_repository.dart';

class GetScooterOrderHistoryUsecase {
  final ScooterRepository _repository;

  GetScooterOrderHistoryUsecase(this._repository);

  Future<Result<List<ScooterOrder>>> call({
    int page = 1,
    int pageSize = 20,
  }) async {
    return await _repository.getScooterOrderHistory(
      page: page,
      pageSize: pageSize,
    );
  }
}